Draft WireToBSpline/cs: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 6: Line 6:
==Popis==
==Popis==


<div class="mw-translate-fuzzy">
Tento nástroj konvertuje [[Draft Wire/cs|Dráty]] do [[Draft BSpline/cs|B-křivek]] a naopak.
Tento nástroj konvertuje [[Draft Wire/cs|Dráty]] do [[Draft BSpline/cs|B-křivek]] a naopak.
</div>


[[Image:Draft Wire2BSpline example.jpg|400px]]
[[Image:Draft Wire2BSpline example.jpg|400px]]
{{Caption|Convertir a wire to a B-Spline, and a closed B-Spline to a closed wire}}


==Použití==
==Použití==


<div class="mw-translate-fuzzy">
# Vyberte [[Draft Wire/cs|drát]] nebo [[Draft BSpline/cs|B-křivku]]
# Vyberte [[Draft Wire/cs|drát]] nebo [[Draft BSpline/cs|B-křivku]]
# Stiskněte tlačítko {{KEY|[[Image:Draft WireToBSpline.png|16px]] [[Draft WireToBSpline/cs|Kreslení Drát do B-křivky]]}}
# Stiskněte tlačítko {{KEY|[[Image:Draft WireToBSpline.png|16px]] [[Draft WireToBSpline/cs|Kreslení Drát do B-křivky]]}}
</div>

A new object will be created; the original object will not be modified.

{{Emphasis|Note:}} if a closed wire with sharp edges is used to create a spline, the new object may have self intersecting curve segments, and may not be visible in the 3D view. If this is the case, manually set {{PropertyData|Make Face}} to {{FALSE}} to see the new shape, or set {{PropertyData|Closed}} to {{FALSE}} to create an open shape.


==Volby==
==Volby==


<div class="mw-translate-fuzzy">
* Původní objekt nebude po operaci smazán, pokud budete chtít musíte ho smazat ručně.
* Původní objekt nebude po operaci smazán, pokud budete chtít musíte ho smazat ručně.
</div>


<div class="mw-translate-fuzzy">
==Skriptování==
==Skriptování==
</div>


<div class="mw-translate-fuzzy">
Není dostupné, ale vytvoření nového objektu z bodů jiného objektu je snadné, například:
Není dostupné, ale vytvoření nového objektu z bodů jiného objektu je snadné, například:
</div>


The {{incode|Points}} attribute of an object is a list with the points that comprise that object; this list can be passed to functions that build geometry. Each point is defined by its {{incode|FreeCAD.Vector}}, with units in millimeters.
* Je-li aktivní objekt drát:


<div class="mw-translate-fuzzy">
* Je-li aktivní objekt drát:
</div>
{{Code|code=
{{Code|code=
import FreeCAD,Draft
import FreeCAD, Draft
points = FreeCAD.ActiveDocument.ActiveObject.Points
Draft.makeBSpline(points)
}}


# Make a spline from the points of a wire
* Je-li aktivní objekt B-křivka:
p1 = FreeCAD.Vector(1000, 1000, 0)
p2 = FreeCAD.Vector(2000, 1000, 0)
p3 = FreeCAD.Vector(2500, -1000, 0)
p4 = FreeCAD.Vector(3500, -500, 0)


base_wire = Draft.makeWire([p1, p2, p3, p4])
{{Code|code=

import FreeCAD,Draft
points1 = base_wire.Points
points = FreeCAD.ActiveDocument.ActiveObject.Points
Draft.makeWire(points)
spline = Draft.makeBSpline(points1)

# Make a wire from the points of a spline
base_spline = Draft.makeBSpline([-p1, -1.3*p2, -1.2*p3, -2.1*p4])

points2 = base_spline.Points
Wire = Draft.makeWire(points2)
}}
}}

{{Draft Tools navi}}
{{Userdocnavi}}
{{clear}}

Revision as of 13:01, 8 January 2019

Kreslení Drát do B-křivky

Umístění Menu
Kreslení -> Drát do B-křivky
Pracovní stoly
Kreslení, Architektura
Výchozí zástupce
Nikdo
Představen ve verzi
-
Viz také
Nikdo

Popis

Tento nástroj konvertuje Dráty do B-křivek a naopak.

Convertir a wire to a B-Spline, and a closed B-Spline to a closed wire

Použití

  1. Vyberte drát nebo B-křivku
  2. Stiskněte tlačítko Kreslení Drát do B-křivky

A new object will be created; the original object will not be modified.

Note: if a closed wire with sharp edges is used to create a spline, the new object may have self intersecting curve segments, and may not be visible in the 3D view. If this is the case, manually set ÚdajeMake Face to false to see the new shape, or set ÚdajeClosed to false to create an open shape.

Volby

  • Původní objekt nebude po operaci smazán, pokud budete chtít musíte ho smazat ručně.

Skriptování

Není dostupné, ale vytvoření nového objektu z bodů jiného objektu je snadné, například:

The Points attribute of an object is a list with the points that comprise that object; this list can be passed to functions that build geometry. Each point is defined by its FreeCAD.Vector, with units in millimeters.

  • Je-li aktivní objekt drát:
import FreeCAD, Draft

# Make a spline from the points of a wire
p1 = FreeCAD.Vector(1000, 1000, 0)
p2 = FreeCAD.Vector(2000, 1000, 0)
p3 = FreeCAD.Vector(2500, -1000, 0)
p4 = FreeCAD.Vector(3500, -500, 0)

base_wire = Draft.makeWire([p1, p2, p3, p4])

points1 = base_wire.Points
spline = Draft.makeBSpline(points1)

# Make a wire from the points of a spline
base_spline = Draft.makeBSpline([-p1, -1.3*p2, -1.2*p3, -2.1*p4])

points2 = base_spline.Points
Wire = Draft.makeWire(points2)